<?PHP
/*
=====================================================
 DataLife Engine v9.0 - by DLE Persian Group 
-----------------------------------------------------
 http://datalifeengine.ir/
-----------------------------------------------------
 Copyright (c) 2006,2010 DLE Persian Group
=====================================================
*/
@session_start();
@error_reporting ( E_ALL ^ E_WARNING ^ E_NOTICE );
@ini_set ( 'display_errors', true );
@ini_set ( 'html_errors', false );
@ini_set ( 'error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE );

define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', '../..' );
define( 'ENGINE_DIR', '..' );

include ENGINE_DIR . '/data/config.php';

if( $config['http_home_url'] == "" ) {
	
	$config['http_home_url'] = explode( "engine/ajax/find_tags.php", $_SERVER['PHP_SELF'] );
	$config['http_home_url'] = reset( $config['http_home_url'] );
	$config['http_home_url'] = "http://" . $_SERVER['HTTP_HOST'] . $config['http_home_url'];

}

require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';
require_once ENGINE_DIR . '/modules/functions.php';

$query = convert_unicode( $_GET['query'], $config['charset'] );

if( preg_match( "/[\||\'|\<|\>|\"|\!|\?|\$|\@|\/|\\\|\&\~\*\+]/", $query ) ) $query = "";
else $query = $db->safesql( htmlspecialchars( strip_tags( stripslashes( trim( $query ) ) ), ENT_QUOTES ) );

if( $query == "" ) die();

$buffer = "";
$tags = array ();

$db->query("SELECT tag, COUNT(*) AS count FROM " . PREFIX . "_tags WHERE `tag` like '{$query}%' GROUP BY tag ORDER by count DESC LIMIT 15");

while($row = $db->get_row()){

	$tags[] = $row['tag'];

}

if (count($tags)) $buffer = "{query:'{$query}',suggestions:['".implode("','",$tags)."'],data:['']}";

@header( "Content-type: text/css; charset=" . $config['charset'] );

echo $buffer;

?>